TokenIdentifier (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.token, class: TokenIdentifier

Package org.apache.hadoop.security.token

# Class TokenIdentifier

java.lang.Object
org.apache.hadoop.security.token.TokenIdentifier

All Implemented Interfaces:
  `Writable`

Direct Known Subclasses:
  `AbstractDelegationTokenIdentifier`

@Public @Evolving public abstract class TokenIdentifier extends Object implements Writable
An identifier that identifies a token, may contain public information about a token, including its kind (or type).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenIdentifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBytes()`
  Get the bytes for the token identifier
  `abstract Text`
  `getKind()`
  Get the token kind
  `String`
  `getTrackingId()`
  Returns a tracking identifier that can be used to associate usages of a token across multiple client sessions.
  `abstract UserGroupInformation`
  `getUser()`
  Get the Ugi with the username encoded in the token identifier

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.io.Writable

  `readFields, write`

- ## Constructor Details

  - ### TokenIdentifier

    public TokenIdentifier()

- ## Method Details

  - ### getKind

    public abstract Text getKind()
    Get the token kind
    Returns:
      the kind of the token

  - ### getUser

    public abstract UserGroupInformation getUser()
    Get the Ugi with the username encoded in the token identifier
    Returns:
      the username. null is returned if username in the identifier is empty or null.

  - ### getBytes

    public byte[] getBytes()
    Get the bytes for the token identifier
    Returns:
      the bytes of the identifier

  - ### getTrackingId

    public String getTrackingId()
    Returns a tracking identifier that can be used to associate usages of a token across multiple client sessions. Currently, this function just returns an MD5 of {`getBytes()`.
    Returns:
      tracking identifier